model.end {Zelig} | R Documentation

## Cleaning up after optimization

### Description

The `model.end` function creates a list of regression output from `optim` output. The list includes coefficients (from the `optim` `par` output), a variance-covariance matrix (from the `optim` Hessian output), and any terms, contrasts, or xlevels (from the model frame). Use `model.end` after calling `optim`, but before assigning a class to the regression output.

### Usage

    model.end(res, mf)

### Arguments

`res` | the output from `optim` or another fitting-algorithm
`mf` | the model frame output by `model.frame`

### Value

A list of regression output, including:

`coefficients` | the optimized parameters
`variance` | the variance-covariance matrix (the negative inverse of the Hessian matrix returned from the optimization procedure)
`terms` | the terms object. See `terms.object` for more information
`...` | additional elements passed from `res`

### Author(s)

Kosuke Imai <kimai@princeton.edu>; Gary King <king@harvard.edu>; Olivia Lau <olau@fas.harvard.edu>; Ferdinand Alimadhi <falimadhi@iq.harvard.edu>

### See Also

The full Zelig manual at http://gking.harvard.edu/zelig for examples.

[Package Zelig version 3.4-3 Index]